<?xml version="1.0" encoding="utf-8" ?>
<install type="module">
	<name>odyssey_camera_slider</name>
	<title>Odyssey Camera Slider</title>
	<protected>0</protected>
	<version>2.0</version>
	<author>korinthorama.gr</author>	
	<files>
		<file type="root">odyssey_camera_slider.php</file>
		<file type="root">translations.txt</file>
		<file type="css">camera.css</file>
		<file type="js">camera.min.js</file>
		<file type="js">jquery.easing.1.3.js</file>
		<file type="sprite">patterns.png</file>
	</files>			
	<params>
		<param type="textfield" required="true" size="10" name="sliderWidth" label="sliderWidth" description="Πλάτος του slider (px ή %)"></param>
		<param type="textfield" size="10" name="sliderHeight" label="sliderHeight" description="Ύψος του slider (px ή %)"></param>
		<param type="mediabank" filetypes="jpg, jpeg, png, gif" name="imageFiles" label="imageFiles" description="Οι εικόνες που θα εμφανιστούν στον slider"></param>
		<param type="section" criteria=" isMenu=0 and systemProtected=0 " name="dataSource" label="dataSource" description="Το όνομα της ενότητας αν γίνεται χρήση εικόνων ενότητας"></param>
        <param type="checkbox" name="onlyFeatured" label="onlyFeatured" description="Να γίνεται χρήση μόνο όσων εγγραφών της ενότητας έχουν οριστεί με χαρακτηριστική προβολή (featured)">1</param>
		<param type="select" default="slider" name="imageType" label="imageType" description="Ο τύπος της εικόνας που θα χρησιμοποιείται αν γίνεται χρήση ενότητας">
			<item value="none">καμία χρήση από εικόνες ενότητας</item>
			<item value="slider">όποια έχει χαρακτηριστεί ως slider</item>
			<item value="default">όποια έχει χαρακτηριστεί ως κύρια εικόνα</item>
			<item value="logo">όποια έχει χαρακτηριστεί ως logo</item>
		</param>
		<param type="textfield" size="10" name="maxItems" label="maxItems" description="Ανώτερο όριο εγγραφών από την ενότητα">5</param>
		<param type="textfield" size="10" name="transitionDuration" label="transitionDuration" description="Χρονική διάρκεια κατά την εναλλαγή των εικόνων σε χιλιοστά του δευτερολέπτου">1500</param>
		<param type="textfield" size="10" name="pauseTime" label="pauseTime" description="Παύση μεταξύ των εναλλαγών σε χιλιοστά του δευτερολέπτου">5000</param>		
		<param type="checkbox" name="autoPlay" label="autoPlay" description="Να αρχίζει η εναλλαγή των εικόνων αυτόματα">1</param>
		<param type="checkbox" name="pauseOnHover" label="pauseOnHover" description="Να σταματάει η εναλλαγή των εικόνων στο mouseover">1</param>
		<param type="checkbox" name="navigationEnabled" label="navigationEnabled" description="Να υπάρχει δυνατότητα πλοήγησης σε επόμενη/προηγούμενη εικόνα">1</param>
		<param type="checkbox" name="showNavigationOnHover" label="showNavigationOnHover" description="Να εμφανίζονται τα χειριστήρια πλοήγησης μόνο στο onmouseover">1</param>
		<param type="select" default="grey" name="navigationControlsColor" label="navigationControlsColor" description="Το χρώμα στα χειριστήρια της πλοήγησης">
		      <item value="white">Λευκό</item>
		      <item value="grey">Γκρι</item>
		      <item value="black">Μαύρο</item>
		</param>
		<param type="checkbox" name="showNavigationBackgroundColor" label="showNavigationBackgroundColor" description="Να εμφανίζεται χρώμα φόντου στα χειριστήρια πλοήγησης"></param>		
		<param type="checkbox" name="showPagination" label="showPagination" description="Να εμφανίζονται τα χειριστήρια της σελιδοποίησης (pagination)">1</param>
		<param type="checkbox" name="showThumbnails" label="showThumbnails" description="Να εμφανίζονται οι μικρογραφίες των εικόνων"></param>
		<param type="checkbox" name="showCaptions" label="showCaptions" description="Να εμφανίζονται οι λεζάντες των εικόνων">1</param>
		<param type="select" default="pie" name="loader" label="loader" description="Ο τύπος του loader">
		      <item value="none">Να μην εμφανίζεται ο loader</item>
		      <item value="bar">Να εμφανίζεται ο loader σε μπάρα</item>
		      <item value="pie">Να εμφανίζεται ο loader σε πίτα</item>
		</param>
		<param type="textfield" size="10" name="slicedEffectColoumns" label="slicedEffectColoumns" description="Αριθμός στηλών για τα sliced effects">12</param>
		<param type="textfield" size="10" name="slicedEffectRows" label="slicedEffectRows" description="Αριθμός σειρών για τα sliced effects">8</param>				
		<param type="select" default="random" name="effectType" label="effectType" description="Ο τύπος του effect στις εναλλαγές εικόνων">
		      <item value="random">random</item>
		      <item value="simpleFade">simpleFade</item>
		      <item value="curtainTopLeft">curtain</item>
		      <item value="curtainSliceLeft">curtainSlice</item>
		      <item value="blindCurtainTopLeft">blindCurtain</item>
		      <item value="blindCurtainSliceTop">blindCurtainSlice</item>
		      <item value="scrollLeft">scrollLeft</item>
		      <item value="scrollRight">scrollRight</item>
		      <item value="scrollBottom">scrollBottom</item>
		      <item value="scrollTop">scrollTop</item>
		      <item value="scrollHorz">scrollHorizontal</item>		      
		</param>
		<param type="select" default="easeInOutExpo" name="easingType" label="easingType" description="Ο τύπος του easing στα effects">
		      <item value="linear">linear</item>
		      <item value="swing">swing</item>
		      <item value="jswing">jswing</item>
		      <item value="easeInQuad">easeInQuad</item>
		      <item value="easeInCubic">easeInCubic</item>
		      <item value="easeInQuart">easeInQuart</item>
		      <item value="easeInQuint">easeInQuint</item>
		      <item value="easeInSine">easeInSine</item>
		      <item value="easeInExpo">easeInExpo</item>
		      <item value="easeInCirc">easeInCirc</item>
		      <item value="easeInElastic">easeInElastic</item>
		      <item value="easeInBack">easeInBack</item>
		      <item value="easeInBounce">easeInBounce</item>
		      <item value="easeOutQuad">easeOutQuad</item>
		      <item value="easeOutCubic">easeOutCubic</item>
		      <item value="easeOutQuart">easeOutQuart</item>
		      <item value="easeOutQuint">easeOutQuint</item>
		      <item value="easeOutSine">easeOutSine</item>
		      <item value="easeOutExpo">easeOutExpo</item>
		      <item value="easeOutCirc">easeOutCirc</item>
		      <item value="easeOutElastic">easeOutElastic</item>
		      <item value="easeOutBack">easeOutBack</item>
		      <item value="easeOutBounce">easeOutBounce</item>
		      <item value="easeInOutQuad">easeInOutQuad</item>
		      <item value="easeInOutCubic">easeInOutCubic</item>
		      <item value="easeInOutQuart">easeInOutQuart</item>
		      <item value="easeInOutQuint">easeInOutQuint</item>
		      <item value="easeInOutSine">easeInOutSine</item>
		      <item value="easeInOutExpo">easeInOutExpo</item>
		      <item value="easeInOutCirc">easeInOutCirc</item>
		      <item value="easeInOutElastic">easeInOutElastic</item>
		      <item value="easeInOutBack">easeInOutBack</item>
		      <item value="easeInOutBounce">easeInOutBounce</item>
		</param>
		<param type="checkbox" name="showPattern" label="showPattern" description="Να εμφανίζεται επίπεδο διακοσμητικού μοτίβου πάνω από τις εικόνες"></param>
		<param type="sprite" defaultStepX="19" defaultStepY="38" name="iconImageFile" label="pattern" description="Το επιλεγμένο μοτίβο αν γίνεται χρήση διακοσμητικού μοτίβου">patterns.png</param>	
		<param type="textfield" size="10" name="sliderMarginTop" label="sliderMarginTop" description="Περιθώριο από πάνω σε pixels">0</param>
		<param type="textfield" size="10" name="sliderMarginLeft" label="sliderMarginLeft" description="Περιθώριο από αριστερά σε pixels">0</param>	
	</params>

</install>